#21 allow selecting SWIG

open
nobody
build (6)
5
2003-11-11
2003-11-11
David M. Cooke
No

I tried building with my system SWIG (1.3.19), and that
didn't work; so after reading README.cvs I discovered I
need 1.3.13. Well, I didn't want to downgrade the
version I had, nor did I want to do path munging. So, I
installed SWIG 1.3.13 somewhere else, and used this
patch so that the environment variable SWIG is checked
first for the location of the SWIG binary.

Ex:

$ SWIG=/tmp/swig-1.3.13/bin/swig python setup.py build

Discussion

  • David M. Cooke
    David M. Cooke
    2003-11-11

    check environment variable SWIG for location of swig

     
    Attachments